Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.pmease.quickbuild.step
Class PublishStep

    java.lang.Object
      com.pmease.quickbuild.step.Step
          com.pmease.quickbuild.step.PublishStep

All Implemented Interfaces:
  java.io.Serializable

public class PublishStep
extends Step

This step publishes create soft links to artifacts which is outside of QuickBuild, so that these artifacts can be accessed from QuickBuild's web interface.

Author:
  robin shine
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.pmease.quickbuild.step.Step
`DEFAULT_NAME`

Constructor Summary
`PublishStep()`

Method Summary
`java.lang.String` | `getDestDir()` OGNL: Specify destination path for this publishing.
`java.lang.String` | `getFileNamePatterns()` OGNL: Specify file name patterns of desired artifacts, for example: *.zip, \"${build.version}*.zip\", \"${build.version}.
`java.lang.String` | `getSourceDir()` OGNL: Specify absolute path of the source directory where the artifacts you want to publish resides in.
`boolean` | `isPublishRecursively()` OGNL: Specify whether or not to publish artifacts recursively.
`protected void` | `run(Build build)` Run this step in specified build context.
`void` | `setDestDir(java.lang.String destDir)`
`void` | `setFileNamePatterns(java.lang.String fileNamePatterns)`
`void` | `setPublishRecursively(boolean publishRecursively)`
`void` | `setSourceDir(java.lang.String sourceDir)`
`void` | `validate(Editable editable)`

Methods inherited from class com.pmease.quickbuild.step.Step
`equals, getEditor, getName, getNameChoices, getParent, getStatus, getStepNecessaryCondition, getStepNecessaryConditionChoices, hashCode, isFailed, isIdle, isRunning, isSuccessful, setEditor, setName, setStatus, setStepNecessaryCondition, trigger`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PublishStep

    public PublishStep()

Method Detail

### getSourceDir

    public java.lang.String getSourceDir()

  OGNL: Specify absolute path of the source directory where the artifacts you want to publish resides in. Inside this directory, for every files matching specified pattern(see below), QuickBuild will publish them into destination directory (a sub folder under current build's QuickBuild-managed artifacts directory, see below), so that these artifacts can be accessed from QuickBuild's web interface.
  NOTE: QuickBuild will never copy artifacts into destination directory. Instead, it just creates soft links to these artifacts so that these artifacts can be tracked back to its real position upon user accessing.

  Returns:

### setSourceDir

    public void setSourceDir(java.lang.String sourceDir)

### getFileNamePatterns

    public java.lang.String getFileNamePatterns()

  OGNL: Specify file name patterns of desired artifacts, for example: *.zip, \"${build.version}*.zip\", \"${build.version}.*\". Multiple patterns can be specified as long as they are seperated by spaces(Of course, a single pattern includes spaces should be quoted). If left empty, all files will be published.

  Returns:

### setFileNamePatterns

    public void setFileNamePatterns(java.lang.String fileNamePatterns)

### isPublishRecursively

    public boolean isPublishRecursively()

  OGNL: Specify whether or not to publish artifacts recursively. If yes, matching artifacts inside source directory will be recursively published, including sub directories. Otherwise, sub directories will not be included.

  Returns:

### setPublishRecursively

    public void setPublishRecursively(boolean publishRecursively)

### getDestDir

    public java.lang.String getDestDir()

  OGNL: Specify destination path for this publishing. It should be a relative path to current build's QuickBuild-managed artifacts directory. So if you specify this property as \".\", destination path will be the artifacts directory itself.

  Returns:

### setDestDir

    public void setDestDir(java.lang.String destDir)

### run

    protected void run(Build build)

  Description copied from class: `Step`
  Run this step in specified build context.

  Specified by:
    `run` in class `Step`
  Parameters:
    `build` -

### validate

    public void validate(Editable editable)

  Overrides:
    `validate` in class `Step`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 PMEase Inc. All Rights Reserved.